Subject: embedding dtb file into kernel

From: K Richard Pixley <[email-masked]>
Date: Fri, 13 Feb 2015 09:41:06 -0800

I'm having trouble figuring out how to embed a dtb file into my kernel.  I'm thinking that there should be a standard, architecture independent facility for this akin to initramfs, yes?

Could someone please either point me to the standard facility, relevant doc, a currently building board that uses the standard facility, or outline what needs to be done to do this with a new board?

If it matters, (I can't think why it would), I'm working with powerpc on a 3.10 kernel.  But if there are better facilities in other versions I'd appreciate hearing about that too.

Thank you in advance.

--rich